| Home | Libraries | People | FAQ | More

##### metadata::database

Returns the name of the database (schema) the column belongs to.

###### Synopsis

    string_view
    database() const;

###### Description

This is optional information - it won't be populated unless the connection executing the query has `meta_mode() == metadata_mode::full`.

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and hasn't been assigned to or moved from.